# Package com.google.android.exoplayer2.ext.flac

- Class Summary
  Class | Description
  --- | ---
  FlacDecoder | Flac decoder.
  FlacExtractor | Facilitates the extraction of data from the FLAC container format.
  FlacLibrary | Configures and queries the underlying native library.
  LibflacAudioRenderer | Decodes and renders audio using the native Flac decoder.

- Exception Summary
  Exception | Description
  --- | ---
  FlacDecoderException | Thrown when an Flac decoder error occurs.

- Annotation Types Summary
  Annotation Type | Description
  --- | ---
  FlacExtractor.Flags | Flags controlling the behavior of the extractor.